%global tarball xf86-video-vboxvideo
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir %{moduledir}/drivers

Name:           x11-driver-video-vboxvideo
Epoch:          1
Version:        1.0.1
Release:        %mkrel 1
Summary:        X.org driver for VirtualBox
Group:          System/X11
License:        MIT
URL:            https://xorg.freedesktop.org
Source0:        https://xorg.freedesktop.org/releases/individual/driver/xf86-video-vboxvideo-%{version}.tar.xz
# there's no virtulabox other than %%x86/x86_64 exists
ExclusiveArch:  %ix86 x86_64

# upstream fixes (see https://gitlab.freedesktop.org/xorg/driver/xf86-video-vbox)
Patch1:         0001-fix-FTBS-on-bool.patch

BuildRequires:  pkgconfig(applewmproto) >= 1.0.0
BuildRequires:  pkgconfig(dri)
BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(libdrm) >= 2.4.46
BuildRequires:  pkgconfig(xorg-server) >= 1.19.0
BuildRequires:  pkgconfig(libudev)
BuildRequires:  x11-util-macros >= 1.0.1

Requires:       x11-server-common %(xserver-sdk-abi-requires videodrv)
Recommends:     virtualbox-guest-additions

%description
x11-driver-video-vboxvideo is the X.org driver for VirtualBox.

%prep
%autosetup -p1 -n %{tarball}-%{version}

%build
%configure
%make_build

%install
%make_install

%files
%{driverdir}/vboxvideo_drv.so
%{_mandir}/man4/vboxvideo.4*


%changelog
* Wed Jul 02 2025 daviddavid <daviddavid> 1:1.0.1-1.mga10
+ Revision: 2243796
- new version: 1.0.1
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Fri Feb 10 2023 ghibo <ghibo> 1:1.0.0-9.mga9
+ Revision: 1939941
- Rebuild for aging.
- Add gitlab URL for upstream fixes.

* Fri Apr 01 2022 umeabot <umeabot> 1:1.0.0-8.mga9
+ Revision: 1837982
- Mageia 9 Mass Rebuild

* Sat Oct 16 2021 tv <tv> 1:1.0.0-7.mga9
+ Revision: 1751696
- Rebuild for X.org 21.1
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 1:1.0.0-6.mga8
+ Revision: 1518572
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1:1.0.0-5.mga7
+ Revision: 1301778
- Mageia 7 Mass Rebuild

* Mon Jun 04 2018 tmb <tmb> 1:1.0.0-4.mga7
+ Revision: 1234457
- rebuild for xorg 1.20

* Fri Mar 09 2018 tv <tv> 1:1.0.0-3.mga7
+ Revision: 1207645
- rebuild for xserver 1.20 RC1

* Thu Nov 30 2017 tmb <tmb> 1:1.0.0-2.mga7
+ Revision: 1180419
- submit to testing
+ tv <tv>
- recommends virtualbox-guest-additions

* Thu Nov 30 2017 tv <tv> 1:1.0.0-1.mga7
+ Revision: 1180391
- set epoch

* Thu Nov 30 2017 tv <tv> 1.0.0-1.mga7
+ Revision: 1180384
- imported package x11-driver-video-vboxvideo

